/* ---- (c) SETA DOMINIO PUBLICO ----- */
/* ---- LINUX X-WIN ---------------- */
/* ---- MODIFICADO 09-09-1998 -------- */

#include <stdio.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>

/* --- Rutinas bajo nivel --- */

void clear(unsigned char c);
void plot(int x,int y);
int point(int x,int y);
void line(int x,int y,int xx,int yy);
void bar(int x,int y,int xx,int yy);
void setfont(char *nombre);
void impri (int x,int y,unsigned char ca);
void paleta(void);
void paletapal(void);
void paletablock(int n);
void loadpcx(char *nombre);
void mode(int mode_code);
int dmode(void);
int inkey2(void);
int inkey(void);
void waits(int s);
void espera(int s);
void Csleep(int n);
unsigned int Ctime(void);
void velocidad(void);
void mouse(int x);
void mouses(int x,int y,int t);
void getblock(int n,int x,int y,unsigned int ancho,unsigned int alto);
void putblock(int n,int x,int y);
void loadblock(int n,char *nombre);
void putz(int n,long xd,long yd,long xs,long ys, long xx, long yy);
void getz(int n,long xd,long yd,long xs,long ys, long xx, long yy);
void getcolors(void);
int getcolorblock(char color);
void igetcolors(void);
void fade(int num);

/* --- Rutinas normales --- */
void inputc(int x,int y,unsigned char nombre[40]);
long inputn(int x,int y,unsigned char nombre[40]);
void box(int x,int y,int xx,int yy);
void mks( long num);
void printc(int x,int y,char *texto);
void printn(int x,int y,long num);
void error(int z);
void sonido(unsigned int frecuencia,unsigned int duracion);
void Sbeep(unsigned int high);


/* ---- Rutinas Xwin ----*/
/*
void do_KeyPress (void);
void do_KeyRelease (void);
int xinkey(void);
void redraw(void);
void redrawz(int x, int y, int xx, int yy, int ancho, int alto);
*/


extern unsigned char *pv,*pv1,*pvx;
extern unsigned int *pvi,*pvi1;
extern int INK,PAPER,SPEED,SETIM,SETBUFFER;
extern int XMOUSE,YMOUSE,KMOUSE,CMOUSE,IMOUSE,PMOUSE;
extern int MOUSE;
extern int FONTX,FONTY,FONTXX,FONTYY,CX,CY;
extern FILE *pf;
extern char VARI[40];
extern unsigned char tabla[2040],pal[800];
extern unsigned char COLOR[16];
extern unsigned long ICOLOR[256];
extern unsigned int I2COLOR[256];
extern unsigned char tleta[48];
extern unsigned char *grafi[16];
extern unsigned char *grafip[16];



extern   Window		Miventana;
extern   Display	*Midisplay; 
extern   int		Mipantalla;
extern   XSetWindowAttributes Miattr;
extern   unsigned long	Mimask;
extern   GC		Migc;
extern   XGCValues	Migcv;
extern   XColor		Micolor;
extern   Colormap	Mimapa;
extern   XEvent		*Mievent;
extern   Visual		*Mivisual;
extern   int		Midepth;
extern   int		nbscreen;
extern   Font		Mifont;

extern	char 		INKEY;
extern	int		INKEY2;
extern	char 		NINKEY;
extern	int		NINKEY2;
extern	int		Wancho;
extern	int		Walto;


extern   int		tamaBuffer;
extern   char		*pixmapBuffer;
extern   XImage		*offscreenBuffer;

